Create a course evaluation question set section
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_question_set_sections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "course_evaluation_question_set_section",
"attributes": {
"name": "About the Instructor",
"description": "<string>",
"position": 123,
"counts_toward_overall_score": true
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_question_set_sections"
payload = { "data": {
"type": "course_evaluation_question_set_section",
"attributes": {
"name": "About the Instructor",
"description": "<string>",
"position": 123,
"counts_toward_overall_score": True
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'course_evaluation_question_set_section',
attributes: {
name: 'About the Instructor',
description: '<string>',
position: 123,
counts_toward_overall_score: true
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_question_set_sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_set_section",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "About the Instructor",
"description": "<string>",
"position": 123,
"counts_toward_overall_score": true
},
"relationships": {
"question_set": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_question_set",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"questions": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Course Evaluation Question Set Sections
Create a course evaluation question set section
POST
/
api
/
v1
/
course_evaluation_question_set_sections
Create a course evaluation question set section
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/course_evaluation_question_set_sections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "course_evaluation_question_set_section",
"attributes": {
"name": "About the Instructor",
"description": "<string>",
"position": 123,
"counts_toward_overall_score": true
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/course_evaluation_question_set_sections"
payload = { "data": {
"type": "course_evaluation_question_set_section",
"attributes": {
"name": "About the Instructor",
"description": "<string>",
"position": 123,
"counts_toward_overall_score": True
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'course_evaluation_question_set_section',
attributes: {
name: 'About the Instructor',
description: '<string>',
position: 123,
counts_toward_overall_score: true
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/course_evaluation_question_set_sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "course_evaluation_question_set_section",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "About the Instructor",
"description": "<string>",
"position": 123,
"counts_toward_overall_score": true
},
"relationships": {
"question_set": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "course_evaluation_question_set",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"questions": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "course_evaluation_question",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
course evaluation question set section created
Show child attributes
Show child attributes
⌘I